package siprp.database.cayenne.objects;

import siprp.database.cayenne.objects.auto._TrabalhadoresEcds;
import siprp.medicina.MedicinaConstants;

public class TrabalhadoresEcds extends _TrabalhadoresEcds implements MedicinaConstants
{
	private static final long serialVersionUID = 1L;

	public String getDataString()
	{
		return getData() == null ? "(sem data definida)" : sdf.format( getData() );
	}

	public String getEstadoString()
	{
		return isNew() ? isNewMessage : (getEstado() == null || getEstado() >= ESTADOS_EXAME_STR.length ? "" : ESTADOS_EXAME_STR[getEstado()]);
	}

	@Override
	public String toString()
	{
		return getDataString() + ": " + getEstadoString();
	}

}
